net.sourceforge.pmd

## Class RuleReferenceTest

- java.lang.Object
- - net.sourceforge.pmd.RuleReferenceTest

    public class RuleReferenceTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`RuleReferenceTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testNotOverride()`
`void` `testOverride()`
`void` `testRuleSetReference()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RuleReferenceTest

    public RuleReferenceTest()

### Method Detail

#### testRuleSetReference

    public void testRuleSetReference()

#### testOverride

    public void testOverride()

#### testNotOverride

    public void testNotOverride()

#### suite

    public static junit.framework.Test suite()